RFDHLog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Class RFDHLog

    java.lang.Object
      net.ctdp.rfdynhud.util.RFDHLog

    public final class RFDHLog

extends java.lang.Object

The RFDHLog is a simple shortcut implementation for the `Log` class. Please only use this for rfDynHUD internal logging. For any other case use the Log class itself or write a similar implementation like this.

Author:
  Marvin Froehlich (CTDP)
See Also:
  `Log`

Field Summary
`static LogChannel` | `LOG_CHANNEL`

Method Summary
`static void` | `close()`
`static void` | `debug(java.lang.Object... message)` This is an alias for println( DEBUG, message ).
`static void` | `debugCS(java.lang.Object... message)` This is an alias for println( DEBUG, message ).
`static void` | `decreaseIndentation()` Decreases the indentation level to use for the following log outputs by one.
`static void` | `error(java.lang.Object... message)` This is an alias for println( ERROR, message ).
`static void` | `errorCS(java.lang.Object... message)` This is an alias for println( ERROR, message ).
`static void` | `exception(java.lang.Object... message)` This is an alias for println( EXCEPTION, message ).
`static void` | `exceptionCS(java.lang.Object... message)` This is an alias for println( EXCEPTION, message ).
`static void` | `flush()`
`static int` | `getIndentation()`
`static java.lang.String` | `getIndentationString()`
`static LogManager` | `getLogManager()`
`static void` | `increaseIndentation()` Increases the indentation level to use for the following log outputs by one.
`static void` | `print(LogLevel logLevel, java.lang.Object... message)` Prints out a log message without a newline.
`static void` | `print(java.lang.Object... message)` This is an alias for print( REGULAR, message ).
`static void` | `printCS(LogLevel logLevel, java.lang.Object... message)` Prints out a log message without a newline.
`static void` | `printCS(java.lang.Object... message)` This is an alias for print( REGULAR, message ).
`static void` | `println(LogLevel logLevel, java.lang.Object... message)` Prints out a log message with a newline.
`static void` | `println(java.lang.Object... message)` This is an alias for println( REGULAR, message ).
`static void` | `printlnCS(LogLevel logLevel, java.lang.Object... message)` Prints out a log message with a newline.
`static void` | `printlnCS(java.lang.Object... message)` This is an alias for println( REGULAR, message ).
`static void` | `printlnEx(java.lang.Object... message)` This is an alias for println( EXHAUSTIVE, message ).
`static void` | `printlnExCS(java.lang.Object... message)` This is an alias for println( EXHAUSTIVE, message ).
`static void` | `profile(java.lang.Object... message)` This is an alias for println( PROFILE, message ).
`static void` | `profileCS(java.lang.Object... message)` This is an alias for println( PROFILE, message ).
`static void` | `setIndentation(int indentation)` Sets the indentation level to use for the following log outputs.
`static void` | `setIndentationString(java.lang.String indentationString)` Sets the String to be prefixed to the actualy logging output n times.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_CHANNEL

    public static final LogChannel LOG_CHANNEL

Method Detail

### getLogManager

    public static final LogManager getLogManager()

  Returns:
    the LogManager to register/deregister `LogHandler`s.

### setIndentationString

    public static final void setIndentationString(java.lang.String indentationString)

  Sets the String to be prefixed to the actualy logging output n times.

  Parameters:
    `indentationString` -

### getIndentationString

    public static final java.lang.String getIndentationString()

  Returns:
    the String to be prefixed to the actualy logging output n times.

### setIndentation

    public static final void setIndentation(int indentation)

  Sets the indentation level to use for the following log outputs.

  Parameters:
    `indentation` -

### getIndentation

    public static final int getIndentation()

  Returns:
    the indentation level to use for the following log outputs.

### increaseIndentation

    public static final void increaseIndentation()

  Increases the indentation level to use for the following log outputs by one.

### decreaseIndentation

    public static final void decreaseIndentation()

  Decreases the indentation level to use for the following log outputs by one.

### print

    public static final void print(LogLevel logLevel,
                                   java.lang.Object... message)

  Prints out a log message without a newline.

  Parameters:
    `logLevel` -
    `message` -

### printCS

    public static final void printCS(LogLevel logLevel,
                                     java.lang.Object... message)

  Prints out a log message without a newline.

  Parameters:
    `logLevel` -
    `message` - the string message to be printed to the log (comma separated)

### print

    public static final void print(java.lang.Object... message)

  This is an alias for print( REGULAR, message ).

  Parameters:
    `message` -

### printCS

    public static final void printCS(java.lang.Object... message)

  This is an alias for print( REGULAR, message ).

  Parameters:
    `message` - the string message to be printed to the log (comma separated)

### println

    public static final void println(LogLevel logLevel,
                                     java.lang.Object... message)

  Prints out a log message with a newline.

  Parameters:
    `logLevel` -
    `message` -

### printlnCS

    public static final void printlnCS(LogLevel logLevel,
                                       java.lang.Object... message)

  Prints out a log message with a newline.

  Parameters:
    `logLevel` -
    `message` - the string message to be printed to the log (comma separated)

### println

    public static final void println(java.lang.Object... message)

  This is an alias for println( REGULAR, message ).

  Parameters:
    `message` -

### printlnCS

    public static final void printlnCS(java.lang.Object... message)

  This is an alias for println( REGULAR, message ).

  Parameters:
    `message` - the string message to be printed to the log (comma separated)

### printlnEx

    public static final void printlnEx(java.lang.Object... message)

  This is an alias for println( EXHAUSTIVE, message ).

  Parameters:
    `message` -

### printlnExCS

    public static final void printlnExCS(java.lang.Object... message)

  This is an alias for println( EXHAUSTIVE, message ).

  Parameters:
    `message` - the string message to be printed to the log (comma separated)

### error

    public static final void error(java.lang.Object... message)

  This is an alias for println( ERROR, message ).

  Parameters:
    `message` -

### errorCS

    public static final void errorCS(java.lang.Object... message)

  This is an alias for println( ERROR, message ).

  Parameters:
    `message` - the string message to be printed to the log (comma separated)

### exception

    public static final void exception(java.lang.Object... message)

  This is an alias for println( EXCEPTION, message ).

  Parameters:
    `message` -

### exceptionCS

    public static final void exceptionCS(java.lang.Object... message)

  This is an alias for println( EXCEPTION, message ).

  Parameters:
    `message` - the string message to be printed to the log (comma separated)

### debug

    public static final void debug(java.lang.Object... message)

  This is an alias for println( DEBUG, message ).

  Parameters:
    `message` -

### debugCS

    public static final void debugCS(java.lang.Object... message)

  This is an alias for println( DEBUG, message ).

  Parameters:
    `message` - the string message to be printed to the log (comma separated)

### profile

    public static final void profile(java.lang.Object... message)

  This is an alias for println( PROFILE, message ).

  Parameters:
    `message` -

### profileCS

    public static final void profileCS(java.lang.Object... message)

  This is an alias for println( PROFILE, message ).

  Parameters:
    `message` - the string message to be printed to the log (comma separated)

### flush

    public static final void flush()

### close

    public static final void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD